<template>
  <ul>
    <component
      :is="resolveNavItemComponent(item)"
      v-for="(item, index) in items"
      :key="(item.header || item.title) + index"
      :item="item"
    />
  </ul>
</template>

<script>
import VerticalNavMenuGroup from "./VerticalNavMenuGroup.vue";

export default {
  components: {
    VerticalNavMenuGroup,
  },
  props: {
    items: {
      type: Array,
      required: true,
    },
  },
  setup() {
    const resolveNavItemComponent = (item) => {
      console.log(item);
      return "VerticalNavMenuGroup";
    };

    return { resolveNavItemComponent };
  },
};
</script>

<style>
</style>